Contacts
Update Contact
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
full_name?string|null
salutation?|null
birthday?|null
description?|null
external_id?|null
secondary_external_id?|null
address_line1?|null
address_line2?|null
city?|null
zipcode?|null
country?|null
[key: string]?unknown
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}